/*
 * Copyright (C) 2003-2007 eXo Platform SAS.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Affero General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see<http://www.gnu.org/licenses/>.
 */
package org.exoplatform.services.jcr.impl.core.itemvisitors;

import javax.jcr.Node;
import javax.jcr.Property;
import javax.jcr.RepositoryException;
import javax.jcr.util.TraversingItemVisitor;

/**
 * Created by The eXo Platform SAS.
 * 
 * @author <a href="mailto:gennady.azarenkov@exoplatform.com">Gennady Azarenkov</a>
 * @version $Id: NodeDumpVisitor.java 35198 2009-08-07 14:55:02Z pnedonosko $
 */

public class NodeDumpVisitor extends TraversingItemVisitor {

  private String dumpStr = "";

  protected void entering(Property property, int level) throws RepositoryException {
    dumpStr += " " + property.getPath() + "\n";
  }

  protected void entering(Node node, int level) throws RepositoryException {
    dumpStr += node.getPath() + "\n";
  }

  protected void leaving(Property property, int level) throws RepositoryException {
  }

  protected void leaving(Node node, int level) throws RepositoryException {
  }

  public String getDump() {
    return dumpStr;
  }

}
