/*
 * Copyright (C) 2003-2009 eXo Platform SAS.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Affero General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see<http://www.gnu.org/licenses/>.
 */
package org.exoplatform.services.jcr.impl.core.nodetype;

import java.io.InputStream;

import javax.jcr.Node;

import org.apache.commons.logging.Log;

import org.exoplatform.services.jcr.JcrImplBaseTest;
import org.exoplatform.services.jcr.core.nodetype.ExtendedNodeTypeManager;
import org.exoplatform.services.log.ExoLogger;

/**
 * Created by The eXo Platform SAS.
 * 
 * @author <a href="mailto:Sergey.Kabashnyuk@gmail.com">Sergey Kabashnyuk</a>
 * @version $Id: TestNtAutorcreating.java 35188 2009-08-07 14:32:11Z pnedonosko $
 */
public class TestNtAutorcreating extends JcrImplBaseTest {
  /**
   * Class logger.
   */
  private static final Log LOG = ExoLogger.getLogger(TestNtAutorcreating.class);

  public void testAutocreate() throws Exception {
    registerNodetypes();
    Node myParentNode = root.addNode("testNode");
    Node myNode = myParentNode.addNode("myNodeName", "exo:myTypeJCR805");
    Node myChildNode = myNode.getNode("exo:myChildNode");
    myChildNode.setProperty("exo:myValue", "myTestValue");
    session.save();
  }

  private void registerNodetypes() throws Exception {

    InputStream xml = this.getClass()
                          .getResourceAsStream("/org/exoplatform/services/jcr/impl/core/nodetype/test-nodetypes.xml");
    repositoryService.getCurrentRepository()
                     .getNodeTypeManager()
                     .registerNodeTypes(xml, ExtendedNodeTypeManager.FAIL_IF_EXISTS);

  }
}
